<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<link rel="stylesheet" type="text/css" href="css/dataTables.bootstrap.css"/>
	<link rel="stylesheet" type="text/css" href="css/bootstrap.css"/>

	<script type="text/javascript" src="js/jquery-1.12.4.js"></script>
    <script type="text/javascript" src="js/jquery.dataTables.js"></script>
	<script type="text/javascript" src="js/acciones.js"></script>
<?php  
@session_start(); 
ob_start();
date_default_timezone_set("America/Chihuahua");
include('servicio.php');
$conn=ibase_connect($servicedini.":".$rutadini.$empresadini."",$usuariodini, $basedecode);
if (!$conn){
  session_destroy();
  echo "Servicio denegado";  
  exit;
}
 

$query1="SELECT VALOR FROM MG_CONFIG_CM_VE WHERE NOMBRE = 'CAMBIAR_PAGINA_MONITOR'";
$result1 = ibase_query($conn, $query1);
while ($row1 = ibase_fetch_object($result1)){
  $VALOR = $row1->VALOR * 1000;
}
//$VALOR = 3000;

$query2="SELECT VALOR FROM MG_CONFIG_CM_VE WHERE NOMBRE = 'HABILITA_CUARTO_CHICO' AND VALOR = 'S'";
$result2 = ibase_query($conn, $query2);
while ($row2 = ibase_fetch_object($result2)){
  $CUARTO_CHICO = $row2->VALOR;
}
?>

<?php 
if ($_GET['pg'] != ''){
	$valorPagina = $_GET['pg'];
}else{
	$valorPagina = 1;	
	}
?>

</head>
<input id="pagina_num" type="hidden" value="<?php echo $valorPagina;?>" />
<body onLoad="butoNext2();">


  <div id="registrosTime">
  </div>


<?php

if ($CUARTO_CHICO == 'S'){$WN = 80;}else{$WN = 150;}

   echo "


        <table id='example' class='table table-striped table-bordered' cellspacing='0' style='width: 1800px;'>
          <thead>

            <tr>
              <th class='trupeColor'><div style='width: 120px;'></div>Ruta<br>de<br>reparto<br></th>
              <th class='trupeColor'><div style='width: ".$WN."px;'></div>No.<br>pedido</th>
              <th class='trupeColor'><div style='width: ".$WN."px;'></div>No.<br>part.</th>
              <th class='trupeColor'><div style='width: ".$WN."px;'></div>Surtidor asignado</th>
              <th class='trupeColor'><div style='width: ".$WN."px;'></div>Hora<br>de<br>asignación</th>";
              if ($CUARTO_CHICO == 'S'){echo "
                <th class='trupeColor'><div style='width: 40px;'></div>Piezas<br>x<br>surtir<br>sector<br>2</th>
                <th class='trupeColor'><div style='width: ".$WN."px;'></div>Hora<br>cierre<br>de<br>pedido<br>en<br>sector<br>2</th>
                <th class='trupeColor'><div style='width: ".$WN."px;'></div>Piezas<br>x<br>surtir<br>sector<br>3</th>
                <th class='trupeColor'><div style='width: ".$WN."px;'></div>Hora<br>cierre<br>de<br>pedido<br>en<br>sector<br>3</th>";}  
              echo "
              <th class='trupeColor'><div style='width: ".$WN."px;'></div>Piezas<br>x<br>surtir<br>sector<br>1<br>(almacén general)</th>
              <th class='trupeColor'><div style='width: ".$WN."px;'></div>Hora<br>de<br>entrega<br>de<br>pedido<br>en<br>mesa</th>
              <th class='trupeColor'><div style='width: ".$WN."px;'></div>Mesa<br>verif.</th>
              <th class='trupeColor'><div style='width: ".$WN."px;'></div>Hora<br>de<br>inicio<br>verif.</th>
              <th class='trupeColor'><div style='width: ".$WN."px;'></div>Hora<br>cierre<br>verif.</th>
              <th class='trupeColor'><div style='width: ".$WN."px;'></div>No.<br>bultos</th>
              <th class='trupeColor'><div style='width: ".$WN."px;'></div>Hora<br>de<br>asignación<br>de<br>rampa</th>
              <th class='trupeColor'><div style='width: ".$WN."px;'></div>No.<br>rampa</th>
			  <th class='trupeColor'><div style='width: ".$WN."px;'></div>No.<br>de<br>hoja<br>de<br>ruta</th>
              <th class='trupeColor'><div style='width: ".$WN."px;'></div>Hora<br>de<br>embarque</th>
            </tr>
          </thead>
          <tbody  id='datosPro'>";

	  $query_conteo="SELECT COUNT(*) AS CONTEO FROM MG_ESTATUS_PEDIDOS ";
      $result_conteo = ibase_query($conn, $query_conteo);	
	  /*
	  if(!$result_conteo){
				echo "No se puede mostrar la cosnuslta articulos: $query_conteo";
				exit;	
			}*/
	  while ($row_conteo = ibase_fetch_object($result_conteo)){
		  $ConteoRegistros = $row_conteo->CONTEO;
	  }
		$nn = 0;
      $query="SELECT * FROM MG_ESTATUS_PEDIDOS ORDER BY RUTA_REPARTO ASC, NO_PEDIDO ASC";
      $result = ibase_query($conn, $query);
      while ($row = ibase_fetch_object($result)){

      $NO_PEDIDO = $row->NO_PEDIDO;
      $NO_PEDIDOF = trim($NO_PEDIDO);
	
      echo "<tr>";

      if ($row->RUTA_REPARTO!='') {echo "<th>".$row->RUTA_REPARTO."</th>";}else{echo "<th></th>";}
      if ($NO_PEDIDOF!='') {echo "<th>".$NO_PEDIDOF."</th>";}else{echo "<th></th>";}
	  //echo "<th>".$nn."</th>";
	  //$nn ++;

/*1*/ if ($row->NO_PARTIDAS!='') {echo "<th id='a".$NO_PEDIDOF."'>".$row->NO_PARTIDAS."</th>";}
      else{echo "<th id='a".$NO_PEDIDOF."'></th>";}

	  


/*4*/ if ($row->SURTIDOR_ASIGNADO!='') {echo "<th id='d".$NO_PEDIDOF."'>".$row->SURTIDOR_ASIGNADO."</th>";}
      else{echo "<th id='d".$NO_PEDIDOF."'></th>";}



      

/*5*/ if ($row->HORA_ASIGNACION!='') {

  $HORA_ASIGNACION = substr($row->HORA_ASIGNACION, 0, -3);
  echo "<th id='e".$NO_PEDIDOF."'>".$HORA_ASIGNACION."</th>";}
      else{echo "<th id='e".$NO_PEDIDOF."'></th>";}

////////////////////////////////////////////////////CAMPOS DE CUARTO CHICO////////////////////////////////////////////////
////////////////////////////////////////////////////CAMPOS DE CUARTO CHICO////////////////////////////////////////////////
////////////////////////////////////////////////////CAMPOS DE CUARTO CHICO////////////////////////////////////////////////
if ($CUARTO_CHICO == 'S'){
  if ($row->PZAS_SECTOR_2!='') {echo "<th>".$row->PZAS_SECTOR_2."</th>";}else{echo "<th></th>";}

  /*6*/ if ($row->CIERRE_P_SECTOR_2!='') {
        
        $CIERRE_P_SECTOR_2 = substr($row->CIERRE_P_SECTOR_2, 0, -3);
        echo "<th id='f".$NO_PEDIDOF."'>".$CIERRE_P_SECTOR_2."</th>";}
        else{echo "<th id='f".$NO_PEDIDOF."'></th>";}

  if ($row->PZAS_SECTOR_3!='') {echo "<th>".$row->PZAS_SECTOR_3."</th>";}else{echo "<th></th>";}


  /*7*/ if ($row->CIERRE_P_SECTOR_3!='') {

        $CIERRE_P_SECTOR_3 = substr($row->CIERRE_P_SECTOR_3, 0, -3);
        echo "<th id='g".$NO_PEDIDOF."'>".$CIERRE_P_SECTOR_3."</th>";}
        else{echo "<th id='g".$NO_PEDIDOF."'></th>";}

}
////////////////////////////////////////////////////CAMPOS DE CUARTO CHICO////////////////////////////////////////////////
////////////////////////////////////////////////////CAMPOS DE CUARTO CHICO////////////////////////////////////////////////
////////////////////////////////////////////////////CAMPOS DE CUARTO CHICO////////////////////////////////////////////////


      if ($row->PZAS_SECTOR_1!='') {echo "<th>".$row->PZAS_SECTOR_1."</th>";}else{echo "<th></th>";}


/*8*/ if ($row->HORA_C_ENTREGA_P_MESA!='') {
  

  $HORA_C_ENTREGA_P_MESA = substr($row->HORA_C_ENTREGA_P_MESA, 0, -3);

  echo "<th id='h".$NO_PEDIDOF."'>".$HORA_C_ENTREGA_P_MESA."</th>";}

      else{echo "<th id='h".$NO_PEDIDOF."'></th>";}



/*9*/ if ($row->MESA_VERIFICACION!='') {echo "<th id='i".$NO_PEDIDOF."'>".$row->MESA_VERIFICACION."</th>";}
      else{echo "<th id='i".$NO_PEDIDOF."'></th>";}



/*10*/ if ($row->HORA_I_VERIFICACION!='') {

  $HORA_I_VERIFICACION = substr($row->HORA_I_VERIFICACION, 0, -3);
  echo "<th id='j".$NO_PEDIDOF."'>".$HORA_I_VERIFICACION."</th>";}

      else{echo "<th id='j".$NO_PEDIDOF."'></th>";}



/*11*/ if ($row->HORA_C_VERIFICACION!='') {

  $HORA_C_VERIFICACION = substr($row->HORA_C_VERIFICACION, 0, -3);
  echo "<th id='k".$NO_PEDIDOF."'>".$HORA_C_VERIFICACION."</th>";}
      else{echo "<th id='k".$NO_PEDIDOF."'></th>";}



/*12*/ if ($row->NO_BULTOS!='') {echo "<th id='l".$NO_PEDIDOF."'>".$row->NO_BULTOS."</th>";}
      else{echo "<th id='l".$NO_PEDIDOF."'></th>";}



/*13*/ if ($row->HORA_ASIGNACION_RAMPA!='') {

  $HORA_ASIGNACION_RAMPA = substr($row->HORA_ASIGNACION_RAMPA, 0, -3);
  echo "<th id='m".$NO_PEDIDOF."'>".$HORA_ASIGNACION_RAMPA."</th>";}
      else{echo "<th id='m".$NO_PEDIDOF."'></th>";}



/*14*/ if ($row->NO_RAMPA!='') {echo "<th id='n".$NO_PEDIDOF."'>".$row->NO_RAMPA."</th>";}
      else{echo "<th id='n".$NO_PEDIDOF."'></th>";}


/*15*/ if ($row->NO_HOJA_RUTA!='') {echo "<th id='o".$NO_PEDIDOF."'>".$row->NO_HOJA_RUTA."</th>";}
       else{echo "<th id='o".$NO_PEDIDOF."'></th>";}


/*16*/ if ($row->HORA_EMBARQUE!='') {
		 $HORA_EMBARQUE = substr($row->HORA_EMBARQUE, 0, -3);
		 echo "<th id='p".$NO_PEDIDOF."'>".$HORA_EMBARQUE."</th>";}
      else{echo "<th id='p".$NO_PEDIDOF."'></th>";}

	   
	   echo "<script>compruebaCuadros2('".$NO_PEDIDOF."');</script></tr>";
    }
    echo "
    
    </tbody>
    </table>";

echo "<script>var set1 = setInterval('butoNext()',".$VALOR.");</script>";

?>
<?php $tot_paginas = $ConteoRegistros/15;
//echo $ConteoRegistros."<br/>";
?>
<div align="center">
<input id="tot_paginas" type="hidden" value="<?php echo $tot_paginas;?>" />
<b>P&aacute;gina</b> <b id="copia_val">1</b> <b>de <?php echo ceil($tot_paginas);?></b>
</div>




</body>
</html>